
%define shared_desktop_ontologies_version 0.11.0
%define libcal_version 0.41
%define rel 1

%define upstream_name kdepimlibs

%define kdepimlibs_major 5
%define kdepimlibs %mklibname kf5kdepimlibs %{kdepimlibs_major}
%define kdepimlibs_devel %mklibname kf5kdepimlibs -d

Name: kdepimlibs
Summary: Libraries of the KDE-PIM project
Version: 16.04.2
Release: %mkrel %{rel}
Group: Graphical desktop/KDE5
License: ARTISTIC and BSD and GPLv2 and LGPLv2 and QPL
Source: http://download.kde.org/stable/applications/%version/src/%{upstream_name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5webkitwidgets-devel
BuildRequires: %{_lib}qt5widgets-devel

BuildRequires: akonadi-devel
BuildRequires: kmime-devel
BuildRequires: kcalcore-devel
BuildRequires: kontactinterface-devel
BuildRequires: kldap-devel
BuildRequires: kcontacts-devel
BuildRequires: kmbox-devel
BuildRequires: openldap-devel
BuildRequires: boost-devel
BuildRequires: gpgme-devel
BuildRequires: phonon4qt5-devel

BuildRequires: %{_lib}xslt-devel
BuildRequires: %{_lib}xpm-devel
BuildRequires: %{_lib}xft-devel
BuildRequires: %{_lib}qjson-devel
BuildRequires: %{_lib}ical-devel
BuildRequires: %{_lib}grantlee-devel

BuildRequires: kcoreaddons-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kbookmarks-devel
BuildRequires: kcompletion-devel
BuildRequires: kitemviews-devel
BuildRequires: solid-devel
BuildRequires: kauth-devel
BuildRequires: kcodecs-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kxmlgui-devel
BuildRequires: kio-devel
BuildRequires: kdoctools-devel
BuildRequires: ki18n-devel
BuildRequires: ktextwidgets-devel
BuildRequires: kparts-devel


BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: xsltproc

%description 
This module includes libraries that are central to the development and
execution of a KDE-PIM application.

The KDE-PIM project aims to bring together those who wish to help design,
implement, test, etc. anything that's to do with personal information
management.

This rather broad scope encompasses mail clients, addressbooks, usenet news,
scheduling and even sticky notes.

#------------------------------------------------------------------------------

%files
%_sysconfdir/xdg/kdepimlibs-kioslave.categories
%_iconsdir/*/*/*/*
%_kf5_datadir/config.kcfg/*
%_kf5_datadir/akonadi
%_kf5_services/akonadi/contact
%_kf5_services/akonadicontact_actions.desktop
%_kf5_servicetypes/*.desktop
%_kf5_datadir/mime/packages/x-vnd.kde.contactgroup.xml
%_kf5_datadir/mime/packages/x-vnd.akonadi5.socialfeeditem.xml
%_qt5_plugindir/akonadi_serializer_socialfeeditem.so
%_qt5_plugindir/kcm_akonadicontact_actions.so
%_kf5_datadir/kf5/akonadi/contact
%_kf5_datadir/akonadicontact/grantleetheme/default

#------------------------------------------------------------------------------

%package  handbooks
Summary: KdepimLibs Handbooks
Group: Documentation
Requires:  %name
BuildArch: noarch

%description  handbooks
This package provides KDEPIMLIBS handbooks: 
You'll find kioslave handbooks for imap, pop3, ldap, sieve, mbox, smtp
and nntp.

%files  handbooks
%docdir %_kf5_docdir/HTML/en
%_kf5_docdir/HTML/en/kioslave5/imap
%_kf5_docdir/HTML/en/kioslave5/pop3
%_kf5_docdir/HTML/en/kioslave5/ldap
%_kf5_docdir/HTML/en/kioslave5/sieve
%_kf5_docdir/HTML/en/kioslave5/mbox
%_kf5_docdir/HTML/en/kioslave5/smtp
%_kf5_docdir/HTML/en/kioslave5/nntp

#------------------------------------------------------------------------------

%package -n %kdepimlibs
Summary: KDEPimLibs
Group: System/Libraries

%description -n %kdepimlibs
KDEPimLibs.

%files -n %kdepimlibs
%_kf5_plugindir/kio/pop3.so
%_kf5_services/pop*
%_kf5_plugindir/kio/ldap.so
%_kf5_services/ldap*
%_kf5_plugindir/kio/sieve.so
%_kf5_services/sieve*
%_kf5_plugindir/kio/mbox.so
%_kf5_services/mbox*
%_kf5_plugindir/kio/smtp.so
%_kf5_services/smtp*
%_kf5_plugindir/kio/nntp.so
%_kf5_services/nntp*
#------------------------------------------------------------------------------
%_kf5_libdir/libKF5AkonadiContact.so.%{kdepimlibs_major}*
%_kf5_libdir/libKF5AkonadiSocialUtils.so.%{kdepimlibs_major}*
%_kf5_libdir/libKF5AkonadiNotes.so.%{kdepimlibs_major}*
%_kf5_libdir/libKF5AkonadiMime.so.%{kdepimlibs_major}*
#------------------------------------------------------------------------------

%package -n %kdepimlibs_devel
Group: Development/Libraries
Summary: Header files and documentation for compiling KDE applications
Requires: %kdepimlibs
Requires: boost-devel

%description -n %kdepimlibs_devel
This package includes the header files you will need to compile applications 
for KDE. Also included is the KDE API documentation in HTML format for easy 
browsing.

%files -n %kdepimlibs_devel
%_kf5_bindir/akonadi_benchmarker
%_kf5_includedir/Akonadi/Contact
%_kf5_includedir/Akonadi/KMime
%_kf5_includedir/Akonadi/Notes
%_kf5_includedir/Akonadi/SocialUtils
%_kf5_includedir/akonadi/*
%_kf5_includedir/*.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5AkonadiContact
%_kf5_libdir/cmake/KF5AkonadiMime
%_kf5_libdir/cmake/KF5AkonadiNotes
%_kf5_libdir/cmake/KF5AkonadiSocialUtils
%_qt5_prefix/mkspecs/modules/qt_AkonadiContact.pri
%_qt5_prefix/mkspecs/modules/qt_AkonadiNotes.pri
%_qt5_prefix/mkspecs/modules/qt_AkonadiMime.pri
%_qt5_prefix/mkspecs/modules/qt_AkonadiSocialUtils.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n %{upstream_name}-%{version}

%build
export LD=/usr/bin/ld.gold
%cmake_kf5 -DBUILD_TESTING=ON
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Tue Jun 14 2016 bb <bb> 16.04.2-1pclos2016
- update


